PlugIn (Apache Struts API Documentation)
Keywords: org.apache.struts.action.PlugIn,PlugIn interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Interface PlugIn

All Known Implementing Classes:
  ModuleConfigVerifier, TilesPlugin, ValidatorPlugIn

public interface PlugIn

A PlugIn is a configuration wrapper for a module-specific resource or service that needs to be notified about application startup and application shutdown events (corresponding to when the container calls `init()` and `destroy()` on the corresponding `ActionServlet` instance). PlugIn Actions can be configured in the `struts-config.xml` file, without the need to subclass `ActionServlet` simply to perform application lifecycle activities.

Implementations of this interface must supply a zero-argument constructor for use by `ActionServlet`. Configuration can be accomplished by providing standard JavaBeans property setter methods, which will all have been called before the `init()` method is invoked.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan

Method Summary
`void` | `destroy()` Receive notification that our owning module is being shut down.
`void` | `init(ActionServlet servlet, ModuleConfig config)` Receive notification that the specified module is being started up.

Method Detail

### destroy

    public void destroy()

  Receive notification that our owning module is being shut down.

### init

    public void init(ActionServlet servlet,
                     ModuleConfig config)
              throws javax.servlet.ServletException

  Receive notification that the specified module is being started up.

  Parameters:
    `servlet` - ActionServlet that is managing all the modules in this web application
    `config` - ModuleConfig for the module with which this plug-in is associated
  Throws:
    `javax.servlet.ServletException` - if this `PlugIn` cannot be successfully initialized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation